Subject: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Stefan Monnier <[email-masked]>
Date: Tue, 19 Jul 2022 12:04:27 -0400

martin rudalics [2022-07-19 10:09:33] wrote:
>> And of course we also need (3) Emacs wants to change the selected frame
>> without touching anything related to focus because it's just a temporary
>> change to run code in another context.
> "Of course"?  If I have a window or frame that I usually never want to
> become selected, evaluating 'mode-line-format' will mercilessly tell me
> that that window or frame is the selected one.

I don't see any conflict between what I wrote and what you wrote.
The `selected-window` is just like the `current-buffer`: a context
passed around, like a set of default arguments.

The fact that it can also influence focus is not related to the
evaluation of the mode-line-format.

        Stefan